SERVER_HOME = /etc

P4_PORT = 753
P4_PORT_NAME = serv_p4

CHMOD = chmod
CHOWN = chown
INSTALL = /bin/cp -i
SED   = sed
LIBLINK = ../bin

P4_HOME_DIR = ..
INCLUDEDIR = $(P4_HOME_DIR)/include
LIBDIR = $(P4_HOME_DIR)/lib

default:
	@if [ $(MACHINE) = SUN -o $(MACHINE) = SYMMETRY \
                               -o $(MACHINE) = DEC5000 ] ;\
	then\
		make $(MFLAGS) serv_p4 example_configs ;\
	else\
		echo not making server on $(MACHINE) since not tested there ;\
	fi

all: serv_p4 example_configs iserv_p4 killiserv_p4

example_configs: inetd.entry services.entry

serv_p4: serv_p4.o
	$(CC) $(CFLAGS) -o $(LIBLINK)/serv_p4 serv_p4.o

iserv_p4:$(P)  iserv_p4.o
	$(CC) $(CFLAGS) -o $(LIBLINK)/iserv_p4 iserv_p4.o $(LIBDIR)/libp4.a

killiserv_p4:$(P)  killiserv_p4.o
	$(CC) $(CFLAGS) -o $(LIBLINK)/killiserv_p4 killiserv_p4.o $(LIBDIR)/libp4.a

inetd.entry: inetd.entry.base Makefile
	$(SED) -e 's,P4_PORT_NAME,$(P4_PORT_NAME),g' \
	    -e 's,P4_PORT,$(P4_PORT),g' \
	    -e 's,SERVER_HOME,$(SERVER_HOME),g' \
	    inetd.entry.base > inetd.entry

services.entry: services.entry.base Makefile
	$(SED) -e 's,P4_PORT_NAME,$(P4_PORT_NAME),g' \
	    -e 's,P4_PORT,$(P4_PORT),g' \
	    -e 's,SERVER_HOME,$(SERVER_HOME),g' \
	    services.entry.base > services.entry

install: serv_p4
	$(INSTALL) serv_p4 $(SERVER_HOME)
	$(CHOWN) root $(SERVER_HOME)/serv_p4
	$(CHMOD) 500 $(SERVER_HOME)/serv_p4

realclean:	clean
	$(RM)  -f *~ \#* inetd.entry services.entry \
		     serv_p4 Makefile P4Server.Log.* \
		     iserv_p4 killiserv_p4
